Skip to main content
GET
Get tokens

Authorizations

X-API-Key
string
header
required

Query Parameters

limit
integer

The desired amount of records per page. The parameter defaults to 50 if it is omitted and has a maximum of 500.

Required range: 1 <= x <= 500
page
integer

The desired number of the page to return.

Required range: x >= 1
from
string<date-time>

Return only network tokens created from this date (YYYY-MM-DD).

to
string<date-time>

Return only network tokens created up to this date (YYYY-MM-DD).

sort
string

It allows sorting the result by created_at. e.g sort=created_at+asc or sort=created_at+desc

network_token_status
enum<string>

Requested status in list format e.g network_token_status=active or network_token_status=active,inactive

The status of the associated network token.

Available options:
active,
inactive,
pending,
deleted,
failed,
not_available
scheme
enum<string>

Requested card schemes in list format e.g scheme=VISA or scheme=VISA,MASTERCARD

The scheme in which the card was issued

Available options:
VISA,
Mastercard,
American Express,
Discover,
Diners Club,
JCB,
UnionPay,
Unknown
business_key
string

Request tokens which the exact match of this value.

The business key is a reference of the original ID under which the cardholder data was stored on the system from which it was imported to Commerce.

Response

Success response

data
object[]
pagination
object

The meta-data describing lists of data from the Commerce API. The pages are indexed from 1 up to the total_pages.

Example: